upload audio for custom model
curl --request POST \
--url https://api.mountsea.ai/suno/v2/customModel/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audioUrl": "https://example.com/song.mp3"
}
'import requests
url = "https://api.mountsea.ai/suno/v2/customModel/upload"
payload = {
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audioUrl": "https://example.com/song.mp3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
audioUrl: 'https://example.com/song.mp3'
})
};
fetch('https://api.mountsea.ai/suno/v2/customModel/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}定制模型
定制模型上传
为定制模型上传训练音频
POST
/
suno
/
v2
/
customModel
/
upload
upload audio for custom model
这是 Custom Model 工作流程的第二步。您必须先完成第一步:Prepare。详情请参阅完整工作流程指南。
id 字段的片段信息 — 收集这些作为创建步骤的 clipIds。
在进入创建步骤之前,您需要至少 6 次成功上传。
多个上传请求可以使用相同的
sessionId 并行运行。每个请求返回自己的 taskId 以进行独立轮询。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
201 - application/json
task id. Use this id to query task status.
示例:
"15c257ff-43f7-4678-bd41-202ad6b8488b"